# ---------------------------------------------------------------------------
# blank.mak
# Makefile for blanking CDRW media
# Created by Bart Lagerweij
# ---------------------------------------------------------------------------

# Include global.mak
include ../../bin/global.mak

ifdef speed
	cdrecordargs:=speed=$(speed)
endif

.PHONY : bootcd
bootcd:

# Check if cdrdevice exists
ifndef cdrdevice
	$(error "cdrdevice" is not set. Start run.bat and select "configure device") 
endif
# blank CDRW (ignore failure)
	-../../bin/cdrecord.exe dev=$(cdrdevice) $(cdrecordargs) blank=fast
#
# END of makefile
