@echo off
cls
echo CDRPACK v1.3 (c) 2001 Bart Lagerweij
echo.
rem
rem Checking bin files
echo Vrification des fichiers...
set fname=
if not exist bin\*.* set fname=bin\*.*
if not exist bin\wbat.com set fname=bin\wbat.com
if not exist bin\varset.com set fname=bin\varset.com
if not exist bin\aspi_you.exe set fname=bin\aspi_you.exe
if not exist bin\mkisofs.exe set fname=bin\mkisofs.exe
if not exist bin\cdrecord.exe set fname=bin\cdrecord.exe
if not exist bin\cygwin1.dll set fname=bin\cygwin1.dll
if not exist bin\make.exe set fname=bin\make.exe
if not exist bin\sh.exe set fname=bin\sh.exe
if not exist bin\build.mak set fname=bin\build.mak
if not exist bin\global.mak set fname=bin\global.mak
if not exist bin\record.mak set fname=bin\record.mak
if not exist bin\blank.mak set fname=bin\blank.mak
if "%fname%"=="" goto _chktmp
echo Impossible de trouver "%fname%" !
goto _abort
rem
rem Check write access on tmp
:_chktmp
bin\varset.com wbat=dirs tmp > %temp%\_main.bat
call %temp%\_main.bat
if "%wbat%"=="0" mkdir tmp
if exist tmp\chkwrt.tmp del tmp\chkwrt.tmp
echo 123 > tmp\chkwrt.tmp
if exist tmp\chkwrt.tmp goto _wrok
echo Impossible de crer un fichier dans le rpertoire "tmp" !
goto _abort
:_wrok
del tmp\chkwrt.tmp
if not exist tmp\chkwrt.tmp goto _filok
echo Impossible de supprimer un fichier du rpertoire "tmp" !
goto _abort
:_filok
echo - Vrification des fichiers OK
rem
rem Check if ASPI interface is alive and kicking
:_chkaspi
echo.
echo Recherche de l'interface ASPI32...
set noaspi=
bin\aspi_you.exe -b > nul
if errorlevel 1 goto _noaspi
echo - ASPI32 OK
if "%noaspi%" == "1" goto _main
if exist bin\config.mak goto _main
:_config
echo :dev "Slectionnez votre graveur" [x] > %temp%\_main.tmp
bin\aspi_you.exe -b >> %temp%\_main.tmp
bin\wbat.com list @%temp%\_main.tmp:dev > %temp%\_main.bat
call %temp%\_main.bat
if "%wbat%" == "" goto _main
echo.
echo Votre graveur est  :
echo - %wbat%
echo cdrdevice:=%wbat% > bin\config.mak
bin\wbat.com box @%0:w_speed > %temp%\_main.bat
call %temp%\_main.bat
if "%speed%" == "" goto _main
echo La vitesse est %speed%
echo.
echo Vitesse :=%speed% >> bin\config.mak
echo (configuration sauvegarde dans bin\config.mak)
echo.
pause
rem flow into _main
:_main
rem
rem Check if any CDs exists
bin\varset.com wbat=dirs cds > %temp%\_main.bat
call %temp%\_main.bat
if "%wbat%"=="0" mkdir cds
bin\varset.com wbat=dirs cds\*.* > %temp%\_main.bat
call %temp%\_main.bat
if not "%wbat%"=="0" goto _cdsok
bin\wbat.com box @%0:w_nocds > %temp%\_main.bat
call %temp%\_main.bat
goto _end
:_cdsok
bin\wbat.com menu @%0:w_main
if errorlevel 100 goto _end
if errorlevel 4 goto _end
if errorlevel 3 goto _readme
if errorlevel 2 goto _config
rem
rem errorlevel 1 flow into below
echo :cd " Choisir le CD  gnrer & graver " [x] > %temp%\_main.tmp
dir cds\ /b >> %temp%\_main.tmp
bin\wbat.com list @%temp%\_main.tmp:cd > %temp%\_main.bat
call %temp%\_main.bat
if "%wbat%" == "" goto _main
set cds=%wbat%
rem No worklist support anymore...
rem if not exist cds\%cds%\worklist.new goto _build
rem if exist cds\%cds%\worklist.txt del cds\%cds%\worklist.txt
rem ren cds\%cds%\worklist.new worklist.txt
rem start cds\%cds%\worklist.txt
rem goto _main
:_build
set wcb1=1
set wcb2=1
set copies=1
if "%noaspi%" == "1" goto _opt2
bin\wbat.com box @%0:w_options > %temp%\_main.bat
goto _opt3
:_opt2
bin\wbat.com box @%0:w_options2 > %temp%\_main.bat
set wcb1=0
set wcb2=0
:_opt3
call %temp%\_main.bat
if errorlevel 2 goto _main
cls
rem echo %wcb1%/%wcb2%
echo *** Gnration de "%cds%"
echo.
cd cds\%cds%
..\..\bin\make.exe -f ../../bin/build.mak
if errorlevel 1 goto _abort
:_blank
if not "%wcb1%"=="1" goto _noblank
echo.
echo *** Effacement du CDRW
echo.
..\..\bin\make.exe -f ../../bin/blank.mak
:_noblank
if not "%wcb2%"=="1" goto _noburn
echo.
echo *** Gravure de "%cds%"
echo.
..\..\bin\make.exe -f ../../bin/record.mak
if errorlevel 1 goto _abort
:_noburn
if "%copies%" == "" goto _done
..\..\bin\varset.com copies=%copies%-1 > %temp%\_main.bat
call %temp%\_main.bat
if "%copies%" == "0" goto _done
echo.
echo *** %copies% copies restant  effectuer...
echo.
echo Insrez le CDR(W) suivant dans votre graveur...
pause
goto _blank
:_done
cd ..\..
echo.
pause
goto _main
:_readme
cdrpack.txt
goto _main
:w_speed "Entrez la vitesse du graveur" [x]

Veuillez saisir la vitesse du graveur.
Si vous n'tes pas sr, choisissez "4"

Vitesse du graveur : [$ speed,2,U]
::
:w_nocds "Pas de CD trouv !" [x]

Pas d'arborescence  gnrer trouve.
(Le rpertoire "cds" est vide)

Tlchargez et prparez une arborescence pour
gnrer un CD, puis essayez de nouveau...

                  [ OK ]
::
:w_main "Menu principal" [x]
[Gnrer && Graver    ]
[Configurer le graveur]
[Voir readme.txt      ]
[Quitter              ]
::
:w_options " Options de gravure" [x]

Sur le point de gnrer "%cds%"

[!] Effacer le CDRW avant de graver
[!] Graver le CD aprs avoir gnr l'image ISO

Nombre de copies : [$ copies,3,U]

        [Continuer]   [Annuler]
::
:w_options2 " Gnration seulement " [x]

Sur le point de gnrer "%cds%"

Pas de pilote ASPI trouv, donc la gravure est dsactive.
Vous pouvez tout de mme gnrer l'image ISO ici, et vous
pourrez la graver avec un autre logiciel.

        [Continuer]   [Annuler]
::
:_noaspi
echo - Pas de pilote ASPI ! Gravure dsactive !
echo.
echo Vous n'avez pas de pilote ASPI install, ou votre pilote ASPI renvoie une 
erreur.
echo Installez ou mettez  jour votre pilote ASPI !
echo.
echo Voir http://www.nu2.nu/aspi/
echo.
pause
set noaspi=1
goto _main
:_abort
echo.
echo [Annule]
pause
goto _end
:_end
if exist %temp%\_main.bat del %temp%\_main.bat
if exist %temp%\_main.tmp del %temp%\_main.tmp
set fname=
set cds=
set wbat=
set wcb1=
set wcb2=
set copies=
set noaspi=
