# ---------------------------------------------------------------------------
# global.mak
# Makefile containing global settings
# Created by Bart Lagerweij
# ---------------------------------------------------------------------------

# Set shell to point to "sh.exe"
SHELL:=../../bin/sh.exe

# Filename to store temporarily iso image
isofile:=../../tmp/mycd.iso

# Get cdrdevice setting from config.mak include file (- for ignore error)
-include ../../bin/config.mak
#
# Get only the first word from cdrdevice
ifdef cdrdevice
	cdrdevice:=$(firstword ${cdrdevice})
endif
#
